Update item
Endpoint
PATCH /bot/tasks/{task_id}/items/{form_field_id}
Updates a single task field using task_id + form_field_id.
Auth
http
Authorization: Bearer <token>
Content-Type: application/jsonPath params
task_id- task IDform_field_id- field ID to update
Minimal update item example
json
{
"form_field_id": 101,
"form_field_type": "TextField",
"value": "Updated by bot"
}Example curl:
bash
curl -X PATCH \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"form_field_id": 101,
"form_field_type": "TextField",
"value": "Updated by bot"
}' \
https://public-api.hcapp.ee/bot/tasks/5001/items/101Supported types
TextFieldTextareaFieldNumberFieldChoiceFieldDateFieldDueDateFieldPhoneFieldEmailFieldFormField
TableField is not updated through this endpoint.
Request body
form_field_idform_field_typevaluelinked_task_idforFormField
form_field_id appears both in the path and in the body.
The actual target field is selected by the path parameter.
Examples
Text field:
json
{
"form_field_id": 101,
"form_field_type": "TextField",
"value": "Updated by bot"
}Number field:
json
{
"form_field_id": 102,
"form_field_type": "NumberField",
"value": "125.67891"
}Choice field:
json
{
"form_field_id": 103,
"form_field_type": "ChoiceField",
"value": ["done"]
}Date field:
json
{
"form_field_id": 104,
"form_field_type": "DateField",
"value": "2026-03-29T12:30:00Z"
}Form field:
json
{
"form_field_id": 105,
"form_field_type": "FormField",
"value": "5000",
"linked_task_id": 5000
}Response body
json
{
"success": true,
"error_message": null,
"data": {
"item_id": 7001,
"form_field_id": 101,
"form_field_type": "TextField",
"name": "Title",
"value": "Updated by bot",
"float_value": null,
"date_value": null,
"linked_task_id": null
}
}Errors
404 Task not found403 Form access not found404 Form field not found400 Field {id} type mismatch: expected ..., got ...413 Payload too large. Max size is 32768 bytes429 Rate limit exceeded. Retry after {seconds} seconds
Limits
- JSON payload up to
32 KB TableFieldis not updated through this endpoint